package com.diagbot.facade;

import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.DeptInfoServiceImpl;
import com.diagbot.vo.DeptInfoVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/19 19:21
 */
@Component
public class DeptInfoFacade extends DeptInfoServiceImpl {

    /**
     *  获取科室信息
     * @param deptInfoVO
     * @return
     */
    public List<DeptInfoDTO> getDeptInfo(DeptInfoVO deptInfoVO) {
        List<DeptInfoDTO> deptInfoDTOList = this.getDeptInfos(deptInfoVO.getDeptCode(),deptInfoVO.getHosptialCode());
        if(deptInfoDTOList == null || deptInfoDTOList.size() == 0){
            throw new CommonException(CommonErrorCode.NOT_EXISTS,
                    "获取科室信息失败");
        }
        return deptInfoDTOList;
    }
}
