package com.diagbot.facade;

import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.HospitalInfoServiceImpl;
import com.diagbot.vo.HospitalInfoVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:43
 */
@Component
public class HospitalInfoFacade extends HospitalInfoServiceImpl {

    /**
     * 获取医院信息
     * @param hospitalInfoVO
     * @return
     */
    public List<HospitalInfoDTO> getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
        List<HospitalInfoDTO> hospitalInfoDTOList = this.getHospitalInfos(hospitalInfoVO);
        if(hospitalInfoDTOList == null || hospitalInfoDTOList.size() == 0){
            throw new CommonException(CommonErrorCode.NOT_EXISTS,
                    "获取医院信息失败");
        }
        return hospitalInfoDTOList;
    }
}
