package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import com.diagbot.dto.GetTopPatientInfoDTO;
import com.diagbot.dto.PatientInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.PatientInfoServiceImpl;
import com.diagbot.vo.GetTopPatientInfoVO;
import com.diagbot.vo.PatientInfoVO;

/**
 * @Description: 患者业务逻辑
 * @author: wangyu
 * @time: 2018/11/19 13:19
 */
@Component
public class PatientInfoFacade extends PatientInfoServiceImpl {

    /**
     * 获取患者信息
     * @param patientInfoVO
     * @return
     */
    public List<PatientInfoDTO> getPatientInfo(@RequestBody PatientInfoVO patientInfoVO) {
        List<PatientInfoDTO> patientInfoDTOList = this.getPatientInfos(patientInfoVO.getPatientCode(),patientInfoVO.getHosptialCode());
        if(patientInfoDTOList == null || patientInfoDTOList.size() == 0){
            throw new CommonException(CommonErrorCode.NOT_EXISTS,
                    "获取患者信息失败");
        }
        return patientInfoDTOList;
    }
    
    /**
     * 页面顶部病人医生科室信息查询
     * @param getTopPatientInfoVO
     * @return
     */
    public GetTopPatientInfoDTO getTopPatientInfo(@RequestBody GetTopPatientInfoVO getTopPatientInfoVO) {
    	return baseMapper.getTopPatientInfo(getTopPatientInfoVO);
    }
    
    
    
}
