package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.QuestionDetail;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.QuestionDetailServiceImpl;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 标签业务层
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class QuestionDetailFacade extends QuestionDetailServiceImpl {


    /**
     * 根据id获取标签明细
     *
     * @param questionId 标签id
     * @return 标签内容
     */
    public List<QuestionDetail> getByQuestionId(Long questionId) {
        List<QuestionDetail> questionDetailList = new ArrayList<>();
        if(questionId == null) {
            return questionDetailList;
        }
        QueryWrapper queryWrapper = new QueryWrapper();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey());
        queryWrapper.eq("question_id", questionId);
        queryWrapper.orderByAsc("order_no");
        questionDetailList = this.list(queryWrapper);
        return questionDetailList;
    }
}
