package com.diagbot.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import com.diagbot.dto.InquiryDetailDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@Getter
@Setter
public class SaveInquiryVO {
	
	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id",required=true)
	@NotNull(message="医院id必传")
    private Long hospitalId;

    /**
     * 科室id
     */
	@ApiModelProperty(value="科室id",required=true)
	@NotNull(message="科室id必传")
    private Long hospitalDeptId;

    /**
     * 医生id
     */
	@ApiModelProperty(value="医生id",required=true)
	@NotNull(message="医生id必传")
    private Long doctorId;

    /**
     * 患者id
     */
	@ApiModelProperty(value="患者id",required=true)
	@NotNull(message="患者id必传")
    private Long patientId;

    /**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号",required=true)
	@NotBlank(message="就诊序列号必传")
    private String inquiryCode;

    /**
     * 就诊状态(0待接诊，1接诊中，2完成接诊)
     */
	@ApiModelProperty(value="就诊状态(0待接诊，1接诊中，2完成接诊)")
    private Integer regVisitedState=1;

    /**
     * 分类(1:门诊,2:住院)
     */
	@ApiModelProperty(value="分类(1:门诊,2:住院)")
    private Integer type=1;

    /**
     * 诊断
     */
	@ApiModelProperty(value="诊断",required=true)
    @NotBlank(message="诊断必传")
    private String diagnose;

    /**
     * 类型：1：结构化 2：文本模式
     */
	@ApiModelProperty(value="类型：1：结构化 2：文本模式")
    private Integer sign=1;

    /**
     * 内容JSON字符串
     */
	@ApiModelProperty(value="内容JSON字符串",required=true)
    @NotBlank(message="内容JSON字符串必传")
    private String dataJson;
    
    @Valid
    @ApiModelProperty(value="问诊明细",required=true)
    @NotEmpty(message="问诊明细不能为空")
    private List<InquiryDetailDTO> detailList;
   
}
