package com.diagbot.web;


import javax.validation.Valid;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.SaveInquiryDTO;
import com.diagbot.facade.InquiryInfoFacade;
import com.diagbot.vo.SaveInquiryVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author rengb
 * @since 2018-11-23
 */
@RestController
@RequestMapping("/inquiryInfo")
@Api(value = "问诊记录API", tags = { "问诊记录API" })
@SuppressWarnings("unchecked")
public class InquiryInfoController {
	
	@Autowired
	private InquiryInfoFacade inquiryInfoFacade;
	
	@ApiOperation(value = "问诊记录保存[by:rengb]")
	@PostMapping("/saveInquiry")
	@SysLogger("saveInquiry")
	@Transactional
	public RespDTO<SaveInquiryDTO> saveInquiry(@Valid @RequestBody SaveInquiryVO saveInquiryVO) {
		return RespDTO.onSuc(inquiryInfoFacade.saveInquiry(saveInquiryVO));
	}
	
	

}
