package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.PushFacade;
import com.diagbot.vo.PushVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 11:17
 */
@RestController
@RequestMapping("/push")
@Api(value = "推理相关API", tags = { "推理相关API" })
@SuppressWarnings("unchecked")
public class PushController {

    @Autowired
    PushFacade pushFacade;

    @ApiOperation(value = "推理接口[by:zhaops]",
            notes = "age： 年龄(必填)<br>" +
                    "sex：性别，1：男，2：女(必填)<br>")
    @PostMapping("/push_inner")
    @SysLogger("push_inner")
    public RespDTO<PushDTO> pushInner(@RequestBody @Valid PushVO pushVO) {
        return RespDTO.onSuc(pushFacade.pushInner(pushVO));
    }

    @ApiOperation(value = "推理接口(直接返回大数据推理结果）[by:zhaops]",
            notes = "age： 年龄(必填)<br>" +
                    "sex：性别，1：男，2：女(必填)<br>")
    @PostMapping("/push_ai")
    @SysLogger("push_ai")
    public RespDTO<ResponseData> pushAI(@RequestBody @Valid PushVO pushVO) {
        return RespDTO.onSuc(pushFacade.pushAI(pushVO));
    }
}
