package com.diagbot.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhaops
 * @since 2018-11-23
 */
@TableName("icss_question_info")
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 内容
     */
    private String name;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 标签标识(1：单项单问题，例如： 程度，咳出通畅度  2：单项多问题，例如：杂音，添加症状 3：填充项，例如：有前后缀的输入框 4：横铺组合项，例如：咳嗽，发热 5：竖铺组合项，例如：诊疗变化)
     */
    private String tagType;

    /**
     * 控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：联合下拉单选 4：联合下拉多选 5：占位标签 6：文本框 7：数字键盘文本框 99：联合推送)
     */
    private Integer controlType;

    /**
     * 类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
     */
    private Integer type;

    /**
     * 子类型，(0：本身，1：描述类型 31：既往史 32：家族史 33：个人史 34：月经史 35：婚育史)
     */
    private Integer subType;

    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 最小值
     */
    private BigDecimal minValue;

    /**
     * 最大值
     */
    private BigDecimal maxValue;

    /**
     * 判断类型（0:本身异常；1:本身正常；2:数字范围；3:计算公式；9:无需判断）
     */
    private String judgeType;

    /**
     * 文本生成规则(0：点选顺序，例如初为 1：从上到下，从左到右，例如查体杂音 2：从左到右，从上到下，例如伴/无)
     */
    private Integer textGenerate;

    /**
     * 是否复制 (0：不复制，1：复制)
     */
    private String copyType;

    /**
     * 是否显示+ （0：不显示 1：显示），+功能等于复制
     */
    private Integer showAdd;

    /**
     * 提示语
     */
    private String placeholder;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(LocalDateTime gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public LocalDateTime getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(LocalDateTime gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public Integer getSexType() {
        return sexType;
    }

    public void setSexType(Integer sexType) {
        this.sexType = sexType;
    }
    public Integer getAgeBegin() {
        return ageBegin;
    }

    public void setAgeBegin(Integer ageBegin) {
        this.ageBegin = ageBegin;
    }
    public Integer getAgeEnd() {
        return ageEnd;
    }

    public void setAgeEnd(Integer ageEnd) {
        this.ageEnd = ageEnd;
    }
    public String getTagType() {
        return tagType;
    }

    public void setTagType(String tagType) {
        this.tagType = tagType;
    }
    public Integer getControlType() {
        return controlType;
    }

    public void setControlType(Integer controlType) {
        this.controlType = controlType;
    }
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    public Integer getSubType() {
        return subType;
    }

    public void setSubType(Integer subType) {
        this.subType = subType;
    }
    public String getLabelPrefix() {
        return labelPrefix;
    }

    public void setLabelPrefix(String labelPrefix) {
        this.labelPrefix = labelPrefix;
    }
    public String getLabelSuffix() {
        return labelSuffix;
    }

    public void setLabelSuffix(String labelSuffix) {
        this.labelSuffix = labelSuffix;
    }
    public BigDecimal getMinValue() {
        return minValue;
    }

    public void setMinValue(BigDecimal minValue) {
        this.minValue = minValue;
    }
    public BigDecimal getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(BigDecimal maxValue) {
        this.maxValue = maxValue;
    }
    public String getJudgeType() {
        return judgeType;
    }

    public void setJudgeType(String judgeType) {
        this.judgeType = judgeType;
    }
    public Integer getTextGenerate() {
        return textGenerate;
    }

    public void setTextGenerate(Integer textGenerate) {
        this.textGenerate = textGenerate;
    }
    public String getCopyType() {
        return copyType;
    }

    public void setCopyType(String copyType) {
        this.copyType = copyType;
    }
    public Integer getShowAdd() {
        return showAdd;
    }

    public void setShowAdd(Integer showAdd) {
        this.showAdd = showAdd;
    }
    public String getPlaceholder() {
        return placeholder;
    }

    public void setPlaceholder(String placeholder) {
        this.placeholder = placeholder;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "QuestionInfo{" +
        "id=" + id +
        ", isDeleted=" + isDeleted +
        ", gmtCreate=" + gmtCreate +
        ", gmtModified=" + gmtModified +
        ", creator=" + creator +
        ", modifier=" + modifier +
        ", tagName=" + tagName +
        ", name=" + name +
        ", sexType=" + sexType +
        ", ageBegin=" + ageBegin +
        ", ageEnd=" + ageEnd +
        ", tagType=" + tagType +
        ", controlType=" + controlType +
        ", type=" + type +
        ", subType=" + subType +
        ", labelPrefix=" + labelPrefix +
        ", labelSuffix=" + labelSuffix +
        ", minValue=" + minValue +
        ", maxValue=" + maxValue +
        ", judgeType=" + judgeType +
        ", textGenerate=" + textGenerate +
        ", copyType=" + copyType +
        ", showAdd=" + showAdd +
        ", placeholder=" + placeholder +
        ", remark=" + remark +
        "}";
    }
}
