package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.IntroduceDetail;
import com.diagbot.facade.IntroduceDetailFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 提示信息明细 前端控制器
 * </p>
 *
 * @author zhaops
 * @since 2018-11-16
 */
@RestController
@RequestMapping("/introduceDetail")
@Api(value = "提示信息明细维护相关API", tags = { "提示信息明细维护相关API" })
public class IntroduceDetailController {
    @Autowired
    IntroduceDetailFacade introduceDetailFacade;

    @ApiOperation(value = "获取提示信息明细信息[by:zhaops]",
            notes = "introduceId: 提示信息id,必填")
    @PostMapping("/getByIntroduceId")
    @SysLogger("getByIntroduceId")
    public RespDTO<Boolean> getByIntroduceId(@RequestParam Long introduceId) {
        List<IntroduceDetail> data = introduceDetailFacade.getByIntroduceId(introduceId);
        return RespDTO.onSuc(data);
    }
}
