drop database if exists `sys-triage`;
CREATE DATABASE  `sys-triage` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
use `sys-triage`;
/*
Navicat MySQL Data Transfer

Source Server         : 2.236平台开发环境
Source Server Version : 50723
Source Host           : 192.168.2.236:3306
Source Database       : sys-triage

Target Server Type    : MYSQL
Target Server Version : 50723
File Encoding         : 65001

Date: 2018-11-02 10:05:05
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for triage_part
-- ----------------------------
DROP TABLE IF EXISTS `triage_part`;
CREATE TABLE `triage_part` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL COMMENT '名称',
  `parent_id` bigint(20) NOT NULL DEFAULT '-1' COMMENT '上级部位(-1：顶级部位)',
  `order_no` int(5) NOT NULL DEFAULT '0' COMMENT '二级部位的排序号',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COMMENT='部位表';

-- ----------------------------
-- Records of triage_part
-- ----------------------------
INSERT INTO `triage_part` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴部（会阴区）', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臀胯部', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身', '-1', '0', null);
INSERT INTO `triage_part` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部', '1', '1', null);
INSERT INTO `triage_part` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睛', '1', '2', null);
INSERT INTO `triage_part` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳', '1', '3', null);
INSERT INTO `triage_part` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻', '1', '4', null);
INSERT INTO `triage_part` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颌面部', '1', '5', null);
INSERT INTO `triage_part` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔', '1', '6', null);
INSERT INTO `triage_part` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部', '2', '1', null);
INSERT INTO `triage_part` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸部', '3', '1', null);
INSERT INTO `triage_part` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房', '3', '2', null);
INSERT INTO `triage_part` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部', '4', '1', null);
INSERT INTO `triage_part` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门', '5', '1', null);
INSERT INTO `triage_part` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿区', '5', '2', null);
INSERT INTO `triage_part` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性症状', '5', '3', null);
INSERT INTO `triage_part` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女阴', '5', '4', null);
INSERT INTO `triage_part` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道', '5', '5', null);
INSERT INTO `triage_part` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴茎', '5', '6', null);
INSERT INTO `triage_part` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊', '5', '7', null);
INSERT INTO `triage_part` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背部', '6', '1', null);
INSERT INTO `triage_part` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臀胯部', '7', '1', null);
INSERT INTO `triage_part` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢', '8', '1', null);
INSERT INTO `triage_part` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身症状', '9', '1', null);
INSERT INTO `triage_part` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体表', '9', '2', null);

-- ----------------------------
-- Table structure for triage_part_symptom
-- ----------------------------
DROP TABLE IF EXISTS `triage_part_symptom`;
CREATE TABLE `triage_part_symptom` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `part_id` bigint(20) NOT NULL COMMENT '部位id',
  `symptom_id` bigint(20) NOT NULL COMMENT '症状id',
  `order_no` int(5) NOT NULL DEFAULT '1' COMMENT '排序号',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=400 DEFAULT CHARSET=utf8 COMMENT='部位-症状关联表';

-- ----------------------------
-- Records of triage_part_symptom
-- ----------------------------
INSERT INTO `triage_part_symptom` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '1', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '2', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '3', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '4', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '5', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '6', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '7', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '8', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '9', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '10', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '11', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '12', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '13', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '14', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '15', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '16', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '17', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '18', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '19', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '20', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '21', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '22', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '23', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '24', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '25', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '26', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '27', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '28', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '29', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '30', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '31', '31', null);
INSERT INTO `triage_part_symptom` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '32', '32', null);
INSERT INTO `triage_part_symptom` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '33', '33', null);
INSERT INTO `triage_part_symptom` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '34', '34', null);
INSERT INTO `triage_part_symptom` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '35', '35', null);
INSERT INTO `triage_part_symptom` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '36', '36', null);
INSERT INTO `triage_part_symptom` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '37', '37', null);
INSERT INTO `triage_part_symptom` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '38', '38', null);
INSERT INTO `triage_part_symptom` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '39', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '40', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '41', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '42', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '43', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '44', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '45', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '46', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '47', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '48', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '49', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '50', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '51', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '52', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '53', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '54', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '55', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '56', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '57', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '58', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '59', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '60', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '61', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '62', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '63', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '64', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '65', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '66', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '67', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '68', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '69', '31', null);
INSERT INTO `triage_part_symptom` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '70', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '71', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '72', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '73', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '74', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '75', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '76', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '77', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '78', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '79', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '80', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '81', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '82', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '83', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '84', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '85', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '86', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '87', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '88', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '89', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '90', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '91', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '92', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '93', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '94', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '95', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '96', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '97', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '98', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '99', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '100', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '101', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '102', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '103', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '104', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '105', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '106', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '107', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '108', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '109', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '110', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '111', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '112', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '113', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '114', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '115', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '116', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '117', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '118', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '119', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '120', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '121', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '122', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '123', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '124', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '125', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '126', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '127', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '128', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '129', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '130', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '131', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '132', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '133', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '134', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '135', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '136', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '137', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '138', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '139', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '140', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '141', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '142', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '143', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '144', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '126', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '145', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '146', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '147', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '148', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '149', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '132', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '150', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '151', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '152', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '153', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '154', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '155', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '156', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '157', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '158', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '159', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '160', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '161', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '162', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '163', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '164', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '165', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '166', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '167', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '168', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '169', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '170', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '171', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '172', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '173', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '174', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '175', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '176', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '177', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '178', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '179', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '180', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '181', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '182', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '183', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '184', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '185', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '186', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '187', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '188', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '189', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '190', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '191', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '192', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '193', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '194', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '195', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '196', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '197', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '198', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '199', '31', null);
INSERT INTO `triage_part_symptom` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '200', '32', null);
INSERT INTO `triage_part_symptom` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '201', '33', null);
INSERT INTO `triage_part_symptom` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '202', '34', null);
INSERT INTO `triage_part_symptom` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '203', '35', null);
INSERT INTO `triage_part_symptom` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '204', '36', null);
INSERT INTO `triage_part_symptom` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '205', '37', null);
INSERT INTO `triage_part_symptom` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '206', '38', null);
INSERT INTO `triage_part_symptom` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '207', '39', null);
INSERT INTO `triage_part_symptom` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '208', '40', null);
INSERT INTO `triage_part_symptom` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '209', '41', null);
INSERT INTO `triage_part_symptom` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '210', '42', null);
INSERT INTO `triage_part_symptom` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '211', '43', null);
INSERT INTO `triage_part_symptom` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '212', '44', null);
INSERT INTO `triage_part_symptom` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '213', '45', null);
INSERT INTO `triage_part_symptom` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '214', '46', null);
INSERT INTO `triage_part_symptom` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '215', '47', null);
INSERT INTO `triage_part_symptom` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '216', '48', null);
INSERT INTO `triage_part_symptom` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '217', '49', null);
INSERT INTO `triage_part_symptom` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '218', '50', null);
INSERT INTO `triage_part_symptom` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '219', '51', null);
INSERT INTO `triage_part_symptom` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '220', '52', null);
INSERT INTO `triage_part_symptom` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '221', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '222', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '223', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '224', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '225', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '226', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '227', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '228', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '229', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '230', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '231', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '232', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '233', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '234', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '235', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '236', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '237', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '238', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '239', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '240', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '241', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '242', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '243', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '244', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '245', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '246', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '247', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '248', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '249', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '250', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '251', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '252', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '253', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '254', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '255', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '256', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '257', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '258', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '259', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '260', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '261', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '262', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '263', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '264', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '265', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '266', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '267', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '268', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '269', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '270', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '271', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '272', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '273', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '274', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '275', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '276', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '277', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '278', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '279', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '280', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '281', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '282', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '283', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '284', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '285', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '286', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '287', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '288', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '289', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '290', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '291', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '292', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '293', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '294', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '295', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '296', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '297', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '298', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '299', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '300', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '301', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '302', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '303', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '304', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '305', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '306', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '307', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '308', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '309', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '310', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '311', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '312', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '313', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '314', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '315', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '316', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '317', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '318', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '319', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '320', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '321', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '322', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '323', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '324', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '325', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '326', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '327', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '328', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '329', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '330', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '331', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '332', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '333', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '334', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '335', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '336', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '337', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '338', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '339', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '340', '31', null);
INSERT INTO `triage_part_symptom` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '341', '32', null);
INSERT INTO `triage_part_symptom` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '342', '33', null);
INSERT INTO `triage_part_symptom` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '343', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '344', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '345', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '346', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '347', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '348', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '349', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '350', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '351', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '352', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '353', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '354', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '355', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '356', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '357', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '358', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '359', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '360', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '361', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '362', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '363', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '364', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '365', '1', null);
INSERT INTO `triage_part_symptom` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '366', '2', null);
INSERT INTO `triage_part_symptom` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '367', '3', null);
INSERT INTO `triage_part_symptom` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '368', '4', null);
INSERT INTO `triage_part_symptom` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '369', '5', null);
INSERT INTO `triage_part_symptom` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '370', '6', null);
INSERT INTO `triage_part_symptom` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '371', '7', null);
INSERT INTO `triage_part_symptom` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '372', '8', null);
INSERT INTO `triage_part_symptom` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '373', '9', null);
INSERT INTO `triage_part_symptom` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '374', '10', null);
INSERT INTO `triage_part_symptom` VALUES ('377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '375', '11', null);
INSERT INTO `triage_part_symptom` VALUES ('378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '376', '12', null);
INSERT INTO `triage_part_symptom` VALUES ('379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '377', '13', null);
INSERT INTO `triage_part_symptom` VALUES ('380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '378', '14', null);
INSERT INTO `triage_part_symptom` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '379', '15', null);
INSERT INTO `triage_part_symptom` VALUES ('382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '380', '16', null);
INSERT INTO `triage_part_symptom` VALUES ('383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '381', '17', null);
INSERT INTO `triage_part_symptom` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '382', '18', null);
INSERT INTO `triage_part_symptom` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '383', '19', null);
INSERT INTO `triage_part_symptom` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '384', '20', null);
INSERT INTO `triage_part_symptom` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '385', '21', null);
INSERT INTO `triage_part_symptom` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '386', '22', null);
INSERT INTO `triage_part_symptom` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '387', '23', null);
INSERT INTO `triage_part_symptom` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '388', '24', null);
INSERT INTO `triage_part_symptom` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '389', '25', null);
INSERT INTO `triage_part_symptom` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '390', '26', null);
INSERT INTO `triage_part_symptom` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '391', '27', null);
INSERT INTO `triage_part_symptom` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '392', '28', null);
INSERT INTO `triage_part_symptom` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '393', '29', null);
INSERT INTO `triage_part_symptom` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '394', '30', null);
INSERT INTO `triage_part_symptom` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '395', '31', null);
INSERT INTO `triage_part_symptom` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '396', '32', null);
INSERT INTO `triage_part_symptom` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '397', '33', null);

-- ----------------------------
-- Table structure for triage_retrieval
-- ----------------------------
DROP TABLE IF EXISTS `triage_retrieval`;
CREATE TABLE `triage_retrieval` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL COMMENT '名称',
  `spell` varchar(100) NOT NULL COMMENT '拼音',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=620 DEFAULT CHARSET=utf8 COMMENT='检索表';

-- ----------------------------
-- Records of triage_retrieval
-- ----------------------------
INSERT INTO `triage_retrieval` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮干', 'TPG', null);
INSERT INTO `triage_retrieval` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮麻', 'TPM', null);
INSERT INTO `triage_retrieval` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮损伤', 'TPSS', null);
INSERT INTO `triage_retrieval` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮痛', 'TPT', null);
INSERT INTO `triage_retrieval` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头皮痒', 'TPY', null);
INSERT INTO `triage_retrieval` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱发', 'TF', null);
INSERT INTO `triage_retrieval` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多梦', 'DM', null);
INSERT INTO `triage_retrieval` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反应迟钝', 'FYCD', null);
INSERT INTO `triage_retrieval` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏迷', 'HM', null);
INSERT INTO `triage_retrieval` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '昏睡', 'HS', null);
INSERT INTO `triage_retrieval` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆力下降', 'JYLXJ', null);
INSERT INTO `triage_retrieval` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健忘', 'JW', null);
INSERT INTO `triage_retrieval` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角弓反张', 'JGFZ', null);
INSERT INTO `triage_retrieval` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口齿不清', 'KCBQ', null);
INSERT INTO `triage_retrieval` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梦魇', 'MY', null);
INSERT INTO `triage_retrieval` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '梦游', 'MY', null);
INSERT INTO `triage_retrieval` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失眠', 'SM', null);
INSERT INTO `triage_retrieval` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失忆', 'SY', null);
INSERT INTO `triage_retrieval` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失语', 'SY', null);
INSERT INTO `triage_retrieval` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗜睡', 'SS', null);
INSERT INTO `triage_retrieval` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘫痪', 'TH', null);
INSERT INTO `triage_retrieval` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头晕', 'TY', null);
INSERT INTO `triage_retrieval` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头痛', 'TT', null);
INSERT INTO `triage_retrieval` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头胀', 'TZ', null);
INSERT INTO `triage_retrieval` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眩晕', 'XY', null);
INSERT INTO `triage_retrieval` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识障碍', 'YSZA', null);
INSERT INTO `triage_retrieval` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晕厥', 'YJ', null);
INSERT INTO `triage_retrieval` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '站立不稳', 'ZLBW', null);
INSERT INTO `triage_retrieval` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烦躁', 'FZ', null);
INSERT INTO `triage_retrieval` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行为异常', 'XWYC', null);
INSERT INTO `triage_retrieval` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻觉', 'HJ', null);
INSERT INTO `triage_retrieval` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '焦虑', 'JL', null);
INSERT INTO `triage_retrieval` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '惊恐发作', 'JKFZ', null);
INSERT INTO `triage_retrieval` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '木僵', 'MJ', null);
INSERT INTO `triage_retrieval` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '妄想', 'WX', null);
INSERT INTO `triage_retrieval` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抑郁', 'YY', null);
INSERT INTO `triage_retrieval` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易激动', 'YJD', null);
INSERT INTO `triage_retrieval` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '谵妄', 'ZW', null);
INSERT INTO `triage_retrieval` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '复视', 'FS', null);
INSERT INTO `triage_retrieval` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑矇', 'HM', null);
INSERT INTO `triage_retrieval` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '虹视', 'HS', null);
INSERT INTO `triage_retrieval` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻视', 'HS', null);
INSERT INTO `triage_retrieval` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏盲', 'PM', null);
INSERT INTO `triage_retrieval` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失明', 'SM', null);
INSERT INTO `triage_retrieval` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视觉异常', 'SJYC', null);
INSERT INTO `triage_retrieval` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视力模糊', 'SLMH', null);
INSERT INTO `triage_retrieval` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视力下降', 'SLXJ', null);
INSERT INTO `triage_retrieval` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视疲劳', 'SPL', null);
INSERT INTO `triage_retrieval` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物变形', 'SWBX', null);
INSERT INTO `triage_retrieval` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物模糊', 'SWMH', null);
INSERT INTO `triage_retrieval` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视野缺失', 'SYQS', null);
INSERT INTO `triage_retrieval` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼凝视', 'SYNS', null);
INSERT INTO `triage_retrieval` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼上翻', 'SYSF', null);
INSERT INTO `triage_retrieval` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼部异物感', 'YBYWG', null);
INSERT INTO `triage_retrieval` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼干', 'YG', null);
INSERT INTO `triage_retrieval` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睛怕光', 'YJPG', null);
INSERT INTO `triage_retrieval` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼眶痛', 'YKT', null);
INSERT INTO `triage_retrieval` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼皮水肿', 'YPSZ', null);
INSERT INTO `triage_retrieval` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼皮下垂', 'YPXC', null);
INSERT INTO `triage_retrieval` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球发红', 'YQFH', null);
INSERT INTO `triage_retrieval` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球发黄', 'YQFH', null);
INSERT INTO `triage_retrieval` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球突出', 'YQTC', null);
INSERT INTO `triage_retrieval` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球震动', 'YQZD', null);
INSERT INTO `triage_retrieval` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球肿', 'YQZ', null);
INSERT INTO `triage_retrieval` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼痛', 'YT', null);
INSERT INTO `triage_retrieval` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼痒', 'YY', null);
INSERT INTO `triage_retrieval` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼胀', 'YZ', null);
INSERT INTO `triage_retrieval` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '溢泪', 'YL', null);
INSERT INTO `triage_retrieval` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睁眼无力', 'ZYWL', null);
INSERT INTO `triage_retrieval` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道流液', 'EDLY', null);
INSERT INTO `triage_retrieval` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳闷', 'EM', null);
INSERT INTO `triage_retrieval` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳鸣', 'EM', null);
INSERT INTO `triage_retrieval` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳痛', 'ET', null);
INSERT INTO `triage_retrieval` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳痒', 'EY', null);
INSERT INTO `triage_retrieval` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳异物感', 'EYWG', null);
INSERT INTO `triage_retrieval` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳肿块', 'EZK', null);
INSERT INTO `triage_retrieval` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳肿胀', 'EZZ', null);
INSERT INTO `triage_retrieval` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳聋', 'EL', null);
INSERT INTO `triage_retrieval` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻听', 'HT', null);
INSERT INTO `triage_retrieval` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听觉过敏', 'TJGM', null);
INSERT INTO `triage_retrieval` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听力下降', 'TLXJ', null);
INSERT INTO `triage_retrieval` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '重听', 'ZT', null);
INSERT INTO `triage_retrieval` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻出血', 'BCX', null);
INSERT INTO `triage_retrieval` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻干', 'BG', null);
INSERT INTO `triage_retrieval` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻塞', 'BS', null);
INSERT INTO `triage_retrieval` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻痛', 'BT', null);
INSERT INTO `triage_retrieval` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻痒', 'BY', null);
INSERT INTO `triage_retrieval` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涕', 'LT', null);
INSERT INTO `triage_retrieval` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喷嚏', 'PT', null);
INSERT INTO `triage_retrieval` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '幻嗅', 'HX', null);
INSERT INTO `triage_retrieval` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉减退', 'XJJT', null);
INSERT INTO `triage_retrieval` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉丧失', 'XJSS', null);
INSERT INTO `triage_retrieval` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅觉异常', 'XJYC', null);
INSERT INTO `triage_retrieval` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口唇干裂', 'KCGL', null);
INSERT INTO `triage_retrieval` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口角歪斜', 'KJWX', null);
INSERT INTO `triage_retrieval` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部抽搐', 'MBCC', null);
INSERT INTO `triage_retrieval` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部浮肿', 'MBFZ', null);
INSERT INTO `triage_retrieval` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部疼痛', 'MBTT', null);
INSERT INTO `triage_retrieval` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部肿痛', 'MBZT', null);
INSERT INTO `triage_retrieval` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色潮红', 'MSCH', null);
INSERT INTO `triage_retrieval` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下颌痛', 'XHT', null);
INSERT INTO `triage_retrieval` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张口困难', 'ZKKN', null);
INSERT INTO `triage_retrieval` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌麻木', 'SMM', null);
INSERT INTO `triage_retrieval` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉减退', 'WJJT', null);
INSERT INTO `triage_retrieval` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉消失', 'WJXS', null);
INSERT INTO `triage_retrieval` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉异常', 'WJYC', null);
INSERT INTO `triage_retrieval` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇麻', 'CM', null);
INSERT INTO `triage_retrieval` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇疱疹', 'CPZ', null);
INSERT INTO `triage_retrieval` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口臭', 'KC', null);
INSERT INTO `triage_retrieval` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口干', 'KG', null);
INSERT INTO `triage_retrieval` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口渴', 'KK', null);
INSERT INTO `triage_retrieval` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口苦', 'KK', null);
INSERT INTO `triage_retrieval` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口吐白沫', 'KTBM', null);
INSERT INTO `triage_retrieval` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '流涎', 'LX', null);
INSERT INTO `triage_retrieval` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙齿松动', 'YCSD', null);
INSERT INTO `triage_retrieval` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙缺损', 'YQS', null);
INSERT INTO `triage_retrieval` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙痛', 'YT', null);
INSERT INTO `triage_retrieval` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈出血', 'YYCX', null);
INSERT INTO `triage_retrieval` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈疼痛', 'YYTT', null);
INSERT INTO `triage_retrieval` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙龈肿痛', 'YYZT', null);
INSERT INTO `triage_retrieval` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部包块', 'JBBK', null);
INSERT INTO `triage_retrieval` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部不适', 'JBBS', null);
INSERT INTO `triage_retrieval` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部疼痛', 'JBTT', null);
INSERT INTO `triage_retrieval` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部异物感', 'JBYWG', null);
INSERT INTO `triage_retrieval` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打鼾', 'DH', null);
INSERT INTO `triage_retrieval` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咯血', 'KX', null);
INSERT INTO `triage_retrieval` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '哽噎感', 'GYG', null);
INSERT INTO `triage_retrieval` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉咙痛', 'HLT', null);
INSERT INTO `triage_retrieval` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喉鸣', 'HM', null);
INSERT INTO `triage_retrieval` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳嗽', 'KS', null);
INSERT INTO `triage_retrieval` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳痰', 'KT', null);
INSERT INTO `triage_retrieval` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呛咳', 'QK', null);
INSERT INTO `triage_retrieval` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声音嘶哑', 'SYSY', null);
INSERT INTO `triage_retrieval` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '失声', 'SS', null);
INSERT INTO `triage_retrieval` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽困难', 'TYKN', null);
INSERT INTO `triage_retrieval` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽痛', 'TYT', null);
INSERT INTO `triage_retrieval` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部紧缩感', 'YBJSG', null);
INSERT INTO `triage_retrieval` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部异物感', 'YBYWG', null);
INSERT INTO `triage_retrieval` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部灼热', 'YBZR', null);
INSERT INTO `triage_retrieval` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽干', 'YG', null);
INSERT INTO `triage_retrieval` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痛', 'YHT', null);
INSERT INTO `triage_retrieval` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痒', 'YY', null);
INSERT INTO `triage_retrieval` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喘鸣', 'CM', null);
INSERT INTO `triage_retrieval` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喘息', 'CX', null);
INSERT INTO `triage_retrieval` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸不畅', 'HXBC', null);
INSERT INTO `triage_retrieval` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸困难', 'HXKN', null);
INSERT INTO `triage_retrieval` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸骤停', 'HXZT', null);
INSERT INTO `triage_retrieval` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气促', 'QC', null);
INSERT INTO `triage_retrieval` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气短', 'QD', null);
INSERT INTO `triage_retrieval` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '烧心', 'SX', null);
INSERT INTO `triage_retrieval` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心动过缓', 'XDGH', null);
INSERT INTO `triage_retrieval` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心动过速', 'XDGS', null);
INSERT INTO `triage_retrieval` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心慌', 'XH', null);
INSERT INTO `triage_retrieval` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心悸', 'XJ', null);
INSERT INTO `triage_retrieval` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心脏骤停', 'XZZT', null);
INSERT INTO `triage_retrieval` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸闷', 'XM', null);
INSERT INTO `triage_retrieval` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胸痛', 'XT', null);
INSERT INTO `triage_retrieval` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜间呼吸暂停', 'YJHXZT', null);
INSERT INTO `triage_retrieval` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '窒息感', 'ZXG', null);
INSERT INTO `triage_retrieval` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房包块', 'RFBK', null);
INSERT INTO `triage_retrieval` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房疼痛', 'RFTT', null);
INSERT INTO `triage_retrieval` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房肿胀', 'RFZZ', null);
INSERT INTO `triage_retrieval` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头凹陷', 'RTAX', null);
INSERT INTO `triage_retrieval` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头皲裂', 'RTJL', null);
INSERT INTO `triage_retrieval` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头湿疹', 'RTSZ', null);
INSERT INTO `triage_retrieval` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头痛', 'RTT', null);
INSERT INTO `triage_retrieval` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头溢乳', 'RTYR', null);
INSERT INTO `triage_retrieval` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头溢液', 'RTYY', null);
INSERT INTO `triage_retrieval` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便秘', 'BM', null);
INSERT INTO `triage_retrieval` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '便血', 'BX', null);
INSERT INTO `triage_retrieval` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便变细', 'DBBX', null);
INSERT INTO `triage_retrieval` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便不畅', 'DBBC', null);
INSERT INTO `triage_retrieval` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便困难', 'DBKN', null);
INSERT INTO `triage_retrieval` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便排便不尽感', 'DBPBBJG', null);
INSERT INTO `triage_retrieval` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便溏', 'DBT', null);
INSERT INTO `triage_retrieval` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便习惯改变', 'DBXGGB', null);
INSERT INTO `triage_retrieval` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便硬结', 'DBYJ', null);
INSERT INTO `triage_retrieval` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大小便失禁', 'DXBSJ', null);
INSERT INTO `triage_retrieval` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹泻', 'FX', null);
INSERT INTO `triage_retrieval` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黑便', 'HB', null);
INSERT INTO `triage_retrieval` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '里急后重', 'LJHZ', null);
INSERT INTO `triage_retrieval` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便次数减少', 'PBCSJS', null);
INSERT INTO `triage_retrieval` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排便次数增多', 'PBCSZD', null);
INSERT INTO `triage_retrieval` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部包块', 'FBBK', null);
INSERT INTO `triage_retrieval` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟包块', 'FGGBK', null);
INSERT INTO `triage_retrieval` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹痛', 'FT', null);
INSERT INTO `triage_retrieval` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹胀', 'FZ', null);
INSERT INTO `triage_retrieval` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肝区隐痛', 'GQYT', null);
INSERT INTO `triage_retrieval` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '剑突下痛', 'JTXT', null);
INSERT INTO `triage_retrieval` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脐周痛', 'QZT', null);
INSERT INTO `triage_retrieval` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下腹坠痛', 'XFZT', null);
INSERT INTO `triage_retrieval` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右下腹部疼痛', 'YXFBTT', null);
INSERT INTO `triage_retrieval` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗳气', 'AQ', null);
INSERT INTO `triage_retrieval` VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饱胀感', 'BZG', null);
INSERT INTO `triage_retrieval` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '晨起恶心', 'CQEX', null);
INSERT INTO `triage_retrieval` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打嗝', 'DG', null);
INSERT INTO `triage_retrieval` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多食', 'DS', null);
INSERT INTO `triage_retrieval` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多饮', 'DY', null);
INSERT INTO `triage_retrieval` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '恶心', 'EX', null);
INSERT INTO `triage_retrieval` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反食', 'FS', null);
INSERT INTO `triage_retrieval` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反酸', 'FS', null);
INSERT INTO `triage_retrieval` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反胃', 'FW', null);
INSERT INTO `triage_retrieval` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹鸣', 'FM', null);
INSERT INTO `triage_retrieval` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饥饿', 'JE', null);
INSERT INTO `triage_retrieval` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '进食梗咽感', 'JSGYG', null);
INSERT INTO `triage_retrieval` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕吐', 'OT', null);
INSERT INTO `triage_retrieval` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呕血', 'OX', null);
INSERT INTO `triage_retrieval` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排气排便减少', 'PQPBJS', null);
INSERT INTO `triage_retrieval` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排气增多', 'PQZD', null);
INSERT INTO `triage_retrieval` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏食', 'PS', null);
INSERT INTO `triage_retrieval` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲下降', 'SYXJ', null);
INSERT INTO `triage_retrieval` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排气', 'TZPQ', null);
INSERT INTO `triage_retrieval` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排气排便', 'TZPQPB', null);
INSERT INTO `triage_retrieval` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃纳不佳', 'WNBJ', null);
INSERT INTO `triage_retrieval` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃胀', 'WZ', null);
INSERT INTO `triage_retrieval` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '厌食', 'YS', null);
INSERT INTO `triage_retrieval` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '厌油', 'YY', null);
INSERT INTO `triage_retrieval` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '易饥', 'YJ', null);
INSERT INTO `triage_retrieval` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早饱', 'ZB', null);
INSERT INTO `triage_retrieval` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胀气', 'ZQ', null);
INSERT INTO `triage_retrieval` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门出血', 'GMCX', null);
INSERT INTO `triage_retrieval` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门瘙痒', 'GMSY', null);
INSERT INTO `triage_retrieval` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门疼痛', 'GMTT', null);
INSERT INTO `triage_retrieval` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门痛', 'GMT', null);
INSERT INTO `triage_retrieval` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门痒', 'GMY', null);
INSERT INTO `triage_retrieval` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门肿胀', 'GMZZ', null);
INSERT INTO `triage_retrieval` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门坠痛', 'GMZT', null);
INSERT INTO `triage_retrieval` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛旁肿块', 'GPZK', null);
INSERT INTO `triage_retrieval` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周潮湿', 'GZCS', null);
INSERT INTO `triage_retrieval` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周瘙痒', 'GZSY', null);
INSERT INTO `triage_retrieval` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '男性尿道口瘙痒', 'NXNDKSY', null);
INSERT INTO `triage_retrieval` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿不尽', 'NBJ', null);
INSERT INTO `triage_retrieval` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿臭', 'NC', null);
INSERT INTO `triage_retrieval` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道出血', 'NDCX', null);
INSERT INTO `triage_retrieval` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道分泌物增多', 'NDFMWZD', null);
INSERT INTO `triage_retrieval` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿道溢脓', 'NDYN', null);
INSERT INTO `triage_retrieval` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿多', 'ND', null);
INSERT INTO `triage_retrieval` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿红', 'NH', null);
INSERT INTO `triage_retrieval` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿黄', 'NH', null);
INSERT INTO `triage_retrieval` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿混', 'NH', null);
INSERT INTO `triage_retrieval` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿急', 'NJ', null);
INSERT INTO `triage_retrieval` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿频', 'NP', null);
INSERT INTO `triage_retrieval` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿少', 'NS', null);
INSERT INTO `triage_retrieval` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿失禁', 'NSJ', null);
INSERT INTO `triage_retrieval` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿痛', 'NT', null);
INSERT INTO `triage_retrieval` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿线细', 'NXX', null);
INSERT INTO `triage_retrieval` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿潴留', 'NZL', null);
INSERT INTO `triage_retrieval` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性尿道口瘙痒', 'NXNDKSY', null);
INSERT INTO `triage_retrieval` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不畅', 'PNBC', null);
INSERT INTO `triage_retrieval` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不适', 'PNBS', null);
INSERT INTO `triage_retrieval` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿困难', 'PNKN', null);
INSERT INTO `triage_retrieval` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿异常', 'PNYC', null);
INSERT INTO `triage_retrieval` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '泡沫尿', 'PMN', null);
INSERT INTO `triage_retrieval` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少尿', 'SN', null);
INSERT INTO `triage_retrieval` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便刺痛', 'XBCT', null);
INSERT INTO `triage_retrieval` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便困难', 'XBKN', null);
INSERT INTO `triage_retrieval` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便失禁', 'XBSJ', null);
INSERT INTO `triage_retrieval` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小便无力', 'XBWL', null);
INSERT INTO `triage_retrieval` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血尿', 'XN', null);
INSERT INTO `triage_retrieval` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜尿频', 'YNP', null);
INSERT INTO `triage_retrieval` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '血精', 'XJ', null);
INSERT INTO `triage_retrieval` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗精', 'YJ', null);
INSERT INTO `triage_retrieval` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '早泄', 'ZX', null);
INSERT INTO `triage_retrieval` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精痛', 'SJT', null);
INSERT INTO `triage_retrieval` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精障碍', 'SJZA', null);
INSERT INTO `triage_retrieval` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性交痛', 'XJT', null);
INSERT INTO `triage_retrieval` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性冷淡', 'XLD', null);
INSERT INTO `triage_retrieval` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性欲增强', 'XYZQ', null);
INSERT INTO `triage_retrieval` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴包块', 'WYBK', null);
INSERT INTO `triage_retrieval` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴皮疹', 'WYPZ', null);
INSERT INTO `triage_retrieval` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴水肿', 'WYSZ', null);
INSERT INTO `triage_retrieval` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴痛', 'WYT', null);
INSERT INTO `triage_retrieval` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴痒', 'WYY', null);
INSERT INTO `triage_retrieval` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带臭', 'BDC', null);
INSERT INTO `triage_retrieval` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带带血', 'BDDX', null);
INSERT INTO `triage_retrieval` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带褐色', 'BDHS', null);
INSERT INTO `triage_retrieval` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带异常', 'BDYC', null);
INSERT INTO `triage_retrieval` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带增多', 'BDZD', null);
INSERT INTO `triage_retrieval` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '见红', 'JH', null);
INSERT INTO `triage_retrieval` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经期缩短', 'JQSD', null);
INSERT INTO `triage_retrieval` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '经期延长', 'JQYC', null);
INSERT INTO `triage_retrieval` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停经', 'TJ', null);
INSERT INTO `triage_retrieval` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道出血', 'YDCX', null);
INSERT INTO `triage_retrieval` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道干', 'YDG', null);
INSERT INTO `triage_retrieval` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道流液', 'YDLY', null);
INSERT INTO `triage_retrieval` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道痛', 'YDT', null);
INSERT INTO `triage_retrieval` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经不调', 'YJBD', null);
INSERT INTO `triage_retrieval` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经减少', 'YJJS', null);
INSERT INTO `triage_retrieval` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经异常', 'YJYC', null);
INSERT INTO `triage_retrieval` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经增多', 'YJZD', null);
INSERT INTO `triage_retrieval` VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头红肿', 'GTHZ', null);
INSERT INTO `triage_retrieval` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头皮疹', 'GTPZ', null);
INSERT INTO `triage_retrieval` VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阳痿', 'YW', null);
INSERT INTO `triage_retrieval` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '异常勃起', 'YCBQ', null);
INSERT INTO `triage_retrieval` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴茎肿胀', 'YJZZ', null);
INSERT INTO `triage_retrieval` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睾丸肿大', 'GWZD', null);
INSERT INTO `triage_retrieval` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊潮湿', 'YNCS', null);
INSERT INTO `triage_retrieval` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊瘙痒', 'YNSY', null);
INSERT INTO `triage_retrieval` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊痛', 'YNT', null);
INSERT INTO `triage_retrieval` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊肿', 'YNZ', null);
INSERT INTO `triage_retrieval` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊坠胀感', 'YNZZG', null);
INSERT INTO `triage_retrieval` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '背痛', 'BT', null);
INSERT INTO `triage_retrieval` VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背僵硬', 'YBJY', null);
INSERT INTO `triage_retrieval` VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰背痛', 'YBT', null);
INSERT INTO `triage_retrieval` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰酸', 'YS', null);
INSERT INTO `triage_retrieval` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰痛', 'YT', null);
INSERT INTO `triage_retrieval` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰腿痛', 'YTT', null);
INSERT INTO `triage_retrieval` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟痛', 'FGGT', null);
INSERT INTO `triage_retrieval` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臀痛', 'TT', null);
INSERT INTO `triage_retrieval` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节僵硬', 'GJJY', null);
INSERT INTO `triage_retrieval` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节扭伤', 'GJNS', null);
INSERT INTO `triage_retrieval` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节疼痛', 'GJTT', null);
INSERT INTO `triage_retrieval` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节肿', 'GJZ', null);
INSERT INTO `triage_retrieval` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '跛行', 'BX', null);
INSERT INTO `triage_retrieval` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抽筋', 'CJ', null);
INSERT INTO `triage_retrieval` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大腿外伤', 'DTWS', null);
INSERT INTO `triage_retrieval` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走障碍', 'XZZA', null);
INSERT INTO `triage_retrieval` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肌无力', 'JWL', null);
INSERT INTO `triage_retrieval` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上髁骨折', 'SKGZ', null);
INSERT INTO `triage_retrieval` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手麻', 'SM', null);
INSERT INTO `triage_retrieval` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双手抖动', 'SSDD', null);
INSERT INTO `triage_retrieval` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢抽搐', 'SZCC', null);
INSERT INTO `triage_retrieval` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢抽动', 'SZCD', null);
INSERT INTO `triage_retrieval` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢乏力', 'SZFL', null);
INSERT INTO `triage_retrieval` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢水肿', 'SZSZ', null);
INSERT INTO `triage_retrieval` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢酸痛', 'SZST', null);
INSERT INTO `triage_retrieval` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '膝关节痛', 'XGJT', null);
INSERT INTO `triage_retrieval` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢水肿', 'XZSZ', null);
INSERT INTO `triage_retrieval` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢无力', 'XZWL', null);
INSERT INTO `triage_retrieval` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下肢震颤', 'XZZC', null);
INSERT INTO `triage_retrieval` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小腿酸', 'XTS', null);
INSERT INTO `triage_retrieval` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '小腿痛', 'XTT', null);
INSERT INTO `triage_retrieval` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体发抖', 'ZTFD', null);
INSERT INTO `triage_retrieval` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体发冷', 'ZTFL', null);
INSERT INTO `triage_retrieval` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体活动障碍', 'ZTHDZA', null);
INSERT INTO `triage_retrieval` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体麻木', 'ZTMM', null);
INSERT INTO `triage_retrieval` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体瘫痪', 'ZTTH', null);
INSERT INTO `triage_retrieval` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体疼痛', 'ZTTT', null);
INSERT INTO `triage_retrieval` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体无力', 'ZTWL', null);
INSERT INTO `triage_retrieval` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体肿胀', 'ZTZZ', null);
INSERT INTO `triage_retrieval` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '足溃疡', 'ZKY', null);
INSERT INTO `triage_retrieval` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左肩痛', 'ZJT', null);
INSERT INTO `triage_retrieval` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '濒死感', 'BSG', null);
INSERT INTO `triage_retrieval` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '潮热', 'CR', null);
INSERT INTO `triage_retrieval` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '盗汗', 'DH', null);
INSERT INTO `triage_retrieval` VALUES ('346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '多汗', 'DH', null);
INSERT INTO `triage_retrieval` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发冷', 'FL', null);
INSERT INTO `triage_retrieval` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发热', 'FR', null);
INSERT INTO `triage_retrieval` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发烫', 'FT', null);
INSERT INTO `triage_retrieval` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发育不良', 'FYBL', null);
INSERT INTO `triage_retrieval` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乏力', 'FL', null);
INSERT INTO `triage_retrieval` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肥胖', 'FP', null);
INSERT INTO `triage_retrieval` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '寒颤', 'HC', null);
INSERT INTO `triage_retrieval` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '寒战', 'HZ', null);
INSERT INTO `triage_retrieval` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '怕冷', 'PL', null);
INSERT INTO `triage_retrieval` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '怕热', 'PR', null);
INSERT INTO `triage_retrieval` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疲乏', 'PF', null);
INSERT INTO `triage_retrieval` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疲劳', 'PL', null);
INSERT INTO `triage_retrieval` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '全身酸痛', 'QSST', null);
INSERT INTO `triage_retrieval` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体温升高', 'TWSG', null);
INSERT INTO `triage_retrieval` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重下降', 'TZXJ', null);
INSERT INTO `triage_retrieval` VALUES ('362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '体重增加', 'TZZJ', null);
INSERT INTO `triage_retrieval` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏寒', 'WH', null);
INSERT INTO `triage_retrieval` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '消瘦', 'XS', null);
INSERT INTO `triage_retrieval` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出汗明显偏少', 'CHMXPS', null);
INSERT INTO `triage_retrieval` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '出冷汗', 'CLH', null);
INSERT INTO `triage_retrieval` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大汗', 'DH', null);
INSERT INTO `triage_retrieval` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '擦伤', 'CS', null);
INSERT INTO `triage_retrieval` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鹅口疮', 'EKC', null);
INSERT INTO `triage_retrieval` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发绀', 'FG', null);
INSERT INTO `triage_retrieval` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '风团', 'FT', null);
INSERT INTO `triage_retrieval` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '黄疸', 'HD', null);
INSERT INTO `triage_retrieval` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皲裂', 'JL', null);
INSERT INTO `triage_retrieval` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '裂伤', 'LS', null);
INSERT INTO `triage_retrieval` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤苍白', 'PFCB', null);
INSERT INTO `triage_retrieval` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤出血', 'PFCX', null);
INSERT INTO `triage_retrieval` VALUES ('377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤粗糙', 'PFCC', null);
INSERT INTO `triage_retrieval` VALUES ('378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发红', 'PFFH', null);
INSERT INTO `triage_retrieval` VALUES ('379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发麻', 'PFFM', null);
INSERT INTO `triage_retrieval` VALUES ('380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤感觉异常', 'PFGJYC', null);
INSERT INTO `triage_retrieval` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤干燥', 'PFGZ', null);
INSERT INTO `triage_retrieval` VALUES ('382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤过敏', 'PFGM', null);
INSERT INTO `triage_retrieval` VALUES ('383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤红肿', 'PFHZ', null);
INSERT INTO `triage_retrieval` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤黄染', 'PFHR', null);
INSERT INTO `triage_retrieval` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤结节', 'PFJJ', null);
INSERT INTO `triage_retrieval` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤皲裂', 'PFJL', null);
INSERT INTO `triage_retrieval` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤瘙痒', 'PFSY', null);
INSERT INTO `triage_retrieval` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤湿冷', 'PFSL', null);
INSERT INTO `triage_retrieval` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤水肿', 'PFSZ', null);
INSERT INTO `triage_retrieval` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤疼痛', 'PFTT', null);
INSERT INTO `triage_retrieval` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤脱屑', 'PFTX', null);
INSERT INTO `triage_retrieval` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮损', 'PS', null);
INSERT INTO `triage_retrieval` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下瘀斑', 'PXYB', null);
INSERT INTO `triage_retrieval` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮疹', 'PZ', null);
INSERT INTO `triage_retrieval` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胼胝', 'PZ', null);
INSERT INTO `triage_retrieval` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脱屑', 'TX', null);
INSERT INTO `triage_retrieval` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '瘀斑', 'YB', null);
INSERT INTO `triage_retrieval` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饱嗝', 'BG', null);
INSERT INTO `triage_retrieval` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带异味', 'BDYW', null);
INSERT INTO `triage_retrieval` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '白带棕褐色', 'BDZHS', null);
INSERT INTO `triage_retrieval` VALUES ('401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻燥', 'BZ', null);
INSERT INTO `triage_retrieval` VALUES ('402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻子干燥', 'BZGZ', null);
INSERT INTO `triage_retrieval` VALUES ('403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻子不通', 'BZBT', null);
INSERT INTO `triage_retrieval` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻子阻塞', 'BZZS', null);
INSERT INTO `triage_retrieval` VALUES ('405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '鼻疼', 'BT', null);
INSERT INTO `triage_retrieval` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '停止排便', 'TZPB', null);
INSERT INTO `triage_retrieval` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '潮红', 'CH', null);
INSERT INTO `triage_retrieval` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '汗少', 'HS', null);
INSERT INTO `triage_retrieval` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '少汗', 'SH', null);
INSERT INTO `triage_retrieval` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无汗', 'WH', null);
INSERT INTO `triage_retrieval` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无明显出汗', 'WMXCH', null);
INSERT INTO `triage_retrieval` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '冷汗', 'LH', null);
INSERT INTO `triage_retrieval` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '喘鸣音', 'CMY', null);
INSERT INTO `triage_retrieval` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇部麻木', 'CBMM', null);
INSERT INTO `triage_retrieval` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '唇部疱疹', 'CBPZ', null);
INSERT INTO `triage_retrieval` VALUES ('416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呃逆', 'EN', null);
INSERT INTO `triage_retrieval` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '打呼噜', 'DHL', null);
INSERT INTO `triage_retrieval` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便稀', 'DBX', null);
INSERT INTO `triage_retrieval` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便稀溏', 'DBXT', null);
INSERT INTO `triage_retrieval` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便排便习惯改变', 'DBPBXGGB', null);
INSERT INTO `triage_retrieval` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便异常', 'DBYC', null);
INSERT INTO `triage_retrieval` VALUES ('422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便硬', 'DBY', null);
INSERT INTO `triage_retrieval` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大汗淋漓', 'DHLL', null);
INSERT INTO `triage_retrieval` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '二便失禁', 'EBSJ', null);
INSERT INTO `triage_retrieval` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '虚汗', 'XH', null);
INSERT INTO `triage_retrieval` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠不实', 'SMBS', null);
INSERT INTO `triage_retrieval` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口疮疱疹', 'KCPZ', null);
INSERT INTO `triage_retrieval` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道溢脓', 'EDYN', null);
INSERT INTO `triage_retrieval` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内堵塞感', 'ENDSG', null);
INSERT INTO `triage_retrieval` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左耳闷', 'ZEM', null);
INSERT INTO `triage_retrieval` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '左耳鸣', 'ZEM', null);
INSERT INTO `triage_retrieval` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道痛', 'EDT', null);
INSERT INTO `triage_retrieval` VALUES ('433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳部异物感', 'EBYWG', null);
INSERT INTO `triage_retrieval` VALUES ('434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道异物感', 'EDYWG', null);
INSERT INTO `triage_retrieval` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳内异物感', 'ENYWG', null);
INSERT INTO `triage_retrieval` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道包块', 'EDBK', null);
INSERT INTO `triage_retrieval` VALUES ('437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '耳道肿胀', 'EDZZ', null);
INSERT INTO `triage_retrieval` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '紫绀', 'ZG', null);
INSERT INTO `triage_retrieval` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发育迟缓', 'FYCH', null);
INSERT INTO `triage_retrieval` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发育迟滞', 'FYCZ', null);
INSERT INTO `triage_retrieval` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '无力', 'WL', null);
INSERT INTO `triage_retrieval` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反流', 'FL', null);
INSERT INTO `triage_retrieval` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '胃反酸', 'WFS', null);
INSERT INTO `triage_retrieval` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '翻胃', 'FW', null);
INSERT INTO `triage_retrieval` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '反应慢', 'FYM', null);
INSERT INTO `triage_retrieval` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '重影', 'CY', null);
INSERT INTO `triage_retrieval` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部肿块', 'FBZK', null);
INSERT INTO `triage_retrieval` VALUES ('448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟异物', 'FGGYW', null);
INSERT INTO `triage_retrieval` VALUES ('449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹股沟肿物', 'FGGZW', null);
INSERT INTO `triage_retrieval` VALUES ('450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右上腹痛', 'YSFT', null);
INSERT INTO `triage_retrieval` VALUES ('451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右上腹隐痛', 'YSFYT', null);
INSERT INTO `triage_retrieval` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门疼痛', 'GMTT', null);
INSERT INTO `triage_retrieval` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门瘙痒', 'GMSY', null);
INSERT INTO `triage_retrieval` VALUES ('454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门胀', 'GMZ', null);
INSERT INTO `triage_retrieval` VALUES ('455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门肿', 'GMZ', null);
INSERT INTO `triage_retrieval` VALUES ('456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛门坠涨感', 'GMZZG', null);
INSERT INTO `triage_retrieval` VALUES ('457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肛周肿块', 'GZZK', null);
INSERT INTO `triage_retrieval` VALUES ('458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳血', 'KX', null);
INSERT INTO `triage_retrieval` VALUES ('459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咳血', 'KX', null);
INSERT INTO `triage_retrieval` VALUES ('460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节活动障碍', 'GJHDZA', null);
INSERT INTO `triage_retrieval` VALUES ('461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节挫伤', 'GJCS', null);
INSERT INTO `triage_retrieval` VALUES ('462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '关节痛', 'GJT', null);
INSERT INTO `triage_retrieval` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '龟头丘疹', 'GTQZ', null);
INSERT INTO `triage_retrieval` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行为反常', 'XWFC', null);
INSERT INTO `triage_retrieval` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行为障碍', 'XWZA', null);
INSERT INTO `triage_retrieval` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '行走困难', 'XZKN', null);
INSERT INTO `triage_retrieval` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '听音失真', 'TYSZ', null);
INSERT INTO `triage_retrieval` VALUES ('468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嗅幻觉', 'XHJ', null);
INSERT INTO `triage_retrieval` VALUES ('469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '意识丧失', 'YSSS', null);
INSERT INTO `triage_retrieval` VALUES ('470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '饥饿感', 'JEG', null);
INSERT INTO `triage_retrieval` VALUES ('471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆减退', 'JYJT', null);
INSERT INTO `triage_retrieval` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆力减退', 'JYLJT', null);
INSERT INTO `triage_retrieval` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '健忘', 'JW', null);
INSERT INTO `triage_retrieval` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴道出血', 'YDCX', null);
INSERT INTO `triage_retrieval` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆力差', 'JYLC', null);
INSERT INTO `triage_retrieval` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '焦躁', 'JZ', null);
INSERT INTO `triage_retrieval` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '项背高度强直', 'XBGDQZ', null);
INSERT INTO `triage_retrieval` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '惊吓发作', 'JXFZ', null);
INSERT INTO `triage_retrieval` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部肿块', 'JBZK', null);
INSERT INTO `triage_retrieval` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈部肿物', 'JBZW', null);
INSERT INTO `triage_retrieval` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈肿块', 'JZK', null);
INSERT INTO `triage_retrieval` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈不适', 'JBS', null);
INSERT INTO `triage_retrieval` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈疼', 'JT', null);
INSERT INTO `triage_retrieval` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈疼痛', 'JTT', null);
INSERT INTO `triage_retrieval` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颈痛', 'JT', null);
INSERT INTO `triage_retrieval` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咯痰', 'KT', null);
INSERT INTO `triage_retrieval` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口齿含糊', 'KCHH', null);
INSERT INTO `triage_retrieval` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吐字不清', 'TZBQ', null);
INSERT INTO `triage_retrieval` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '言语不清', 'YYBQ', null);
INSERT INTO `triage_retrieval` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '口腔异味', 'KQYW', null);
INSERT INTO `triage_retrieval` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嘴唇干裂', 'ZCGL', null);
INSERT INTO `triage_retrieval` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '嘴角歪斜', 'ZJWX', null);
INSERT INTO `triage_retrieval` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠瘫痪症', 'SMTHZ', null);
INSERT INTO `triage_retrieval` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡行症', 'SXZ', null);
INSERT INTO `triage_retrieval` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠梦游症', 'SMMYZ', null);
INSERT INTO `triage_retrieval` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '夜游', 'YY', null);
INSERT INTO `triage_retrieval` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面抽搐', 'MCC', null);
INSERT INTO `triage_retrieval` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面肌痉挛', 'MJJL', null);
INSERT INTO `triage_retrieval` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面部发红', 'MBFH', null);
INSERT INTO `triage_retrieval` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '面色发红', 'MSFH', null);
INSERT INTO `triage_retrieval` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '木僵状态', 'MJZT', null);
INSERT INTO `triage_retrieval` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抑制状态', 'YZZT', null);
INSERT INTO `triage_retrieval` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不适', 'PNBS', null);
INSERT INTO `triage_retrieval` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便次数减少', 'DBCSJS', null);
INSERT INTO `triage_retrieval` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '大便次数增多', 'DBCSZD', null);
INSERT INTO `triage_retrieval` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤发白', 'PFFB', null);
INSERT INTO `triage_retrieval` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤麻木', 'PFMM', null);
INSERT INTO `triage_retrieval` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮下出血', 'PXCX', null);
INSERT INTO `triage_retrieval` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '疲倦', 'PJ', null);
INSERT INTO `triage_retrieval` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼偏盲', 'YPM', null);
INSERT INTO `triage_retrieval` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '挑食', 'TS', null);
INSERT INTO `triage_retrieval` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '老茧', 'LJ', null);
INSERT INTO `triage_retrieval` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '皮肤胼胝', 'PFPZ', null);
INSERT INTO `triage_retrieval` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '呼吸急促', 'HXJC', null);
INSERT INTO `triage_retrieval` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '气急', 'QJ', null);
INSERT INTO `triage_retrieval` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳', 'GK', null);
INSERT INTO `triage_retrieval` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干咳', 'GK', null);
INSERT INTO `triage_retrieval` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '浑身酸痛', 'HSST', null);
INSERT INTO `triage_retrieval` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳房肿块', 'RFZK', null);
INSERT INTO `triage_retrieval` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头疱疹', 'RTPZ', null);
INSERT INTO `triage_retrieval` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '乳头疼痛', 'RTTT', null);
INSERT INTO `triage_retrieval` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌麻', 'SM', null);
INSERT INTO `triage_retrieval` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '舌头麻', 'STM', null);
INSERT INTO `triage_retrieval` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精疼痛', 'SJTT', null);
INSERT INTO `triage_retrieval` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '射精功能障碍', 'SJGNZA', null);
INSERT INTO `triage_retrieval` VALUES ('526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '声嘶', 'SS', null);
INSERT INTO `triage_retrieval` VALUES ('527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '入睡困难', 'RSKN', null);
INSERT INTO `triage_retrieval` VALUES ('528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼失明', 'YSM', null);
INSERT INTO `triage_retrieval` VALUES ('529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆缺失', 'JYQS', null);
INSERT INTO `triage_retrieval` VALUES ('530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '记忆丧失', 'JYSS', null);
INSERT INTO `triage_retrieval` VALUES ('531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '遗忘', 'YW', null);
INSERT INTO `triage_retrieval` VALUES ('532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '纳差', 'NC', null);
INSERT INTO `triage_retrieval` VALUES ('533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼疲劳', 'YPL', null);
INSERT INTO `triage_retrieval` VALUES ('534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '雾视', 'WS', null);
INSERT INTO `triage_retrieval` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视野缺损', 'SYQS', null);
INSERT INTO `triage_retrieval` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '贪睡', 'TS', null);
INSERT INTO `triage_retrieval` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手麻木', 'SMM', null);
INSERT INTO `triage_retrieval` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '手抖', 'SD', null);
INSERT INTO `triage_retrieval` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼会聚', 'SYHJ', null);
INSERT INTO `triage_retrieval` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '翻白眼', 'FBY', null);
INSERT INTO `triage_retrieval` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '抽搐', 'CC', null);
INSERT INTO `triage_retrieval` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '四肢抽搐', 'SZCC', null);
INSERT INTO `triage_retrieval` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '半身不遂', 'BSBS', null);
INSERT INTO `triage_retrieval` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '偏瘫', 'PT', null);
INSERT INTO `triage_retrieval` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '软瘫', 'RT', null);
INSERT INTO `triage_retrieval` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '五软', 'WR', null);
INSERT INTO `triage_retrieval` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部疼痛', 'TBTT', null);
INSERT INTO `triage_retrieval` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头疼', 'TT', null);
INSERT INTO `triage_retrieval` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头昏', 'TH', null);
INSERT INTO `triage_retrieval` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '脑胀', 'NZ', null);
INSERT INTO `triage_retrieval` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '头部胀', 'TBZ', null);
INSERT INTO `triage_retrieval` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '吞咽疼痛', 'TYTT', null);
INSERT INTO `triage_retrieval` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '臀部痛', 'TBT', null);
INSERT INTO `triage_retrieval` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴肿物', 'WYZW', null);
INSERT INTO `triage_retrieval` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴丘疹', 'WYQZ', null);
INSERT INTO `triage_retrieval` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴肿胀', 'WYZZ', null);
INSERT INTO `triage_retrieval` VALUES ('557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴疼痛', 'WYTT', null);
INSERT INTO `triage_retrieval` VALUES ('558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '外阴瘙痒', 'WYSY', null);
INSERT INTO `triage_retrieval` VALUES ('559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉下降', 'WJXJ', null);
INSERT INTO `triage_retrieval` VALUES ('560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '味觉失灵', 'WJSL', null);
INSERT INTO `triage_retrieval` VALUES ('561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腹部坠痛', 'FBZT', null);
INSERT INTO `triage_retrieval` VALUES ('562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '女性下体坠痛', 'NXXTZT', null);
INSERT INTO `triage_retrieval` VALUES ('563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '下颌疼痛', 'XHTT', null);
INSERT INTO `triage_retrieval` VALUES ('564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '排尿不适', 'PNBS', null);
INSERT INTO `triage_retrieval` VALUES ('565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心跳骤停', 'XTZT', null);
INSERT INTO `triage_retrieval` VALUES ('566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性交疼痛', 'XJTT', null);
INSERT INTO `triage_retrieval` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性欲减退', 'XYJT', null);
INSERT INTO `triage_retrieval` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性欲亢奋', 'XYKF', null);
INSERT INTO `triage_retrieval` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '性欲旺盛', 'XYWS', null);
INSERT INTO `triage_retrieval` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区闷胀感', 'XQQMZG', null);
INSERT INTO `triage_retrieval` VALUES ('571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '心前区压迫感', 'XQQYPG', null);
INSERT INTO `triage_retrieval` VALUES ('572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '房屋旋转感', 'FWXZG', null);
INSERT INTO `triage_retrieval` VALUES ('573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '视物旋转', 'SWXZ', null);
INSERT INTO `triage_retrieval` VALUES ('574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '天旋地转', 'TXDZ', null);
INSERT INTO `triage_retrieval` VALUES ('575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '尿血', 'NX', null);
INSERT INTO `triage_retrieval` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '牙齿缺损', 'YCQS', null);
INSERT INTO `triage_retrieval` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部僵硬感', 'YBJYG', null);
INSERT INTO `triage_retrieval` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽部压迫感', 'YBYPG', null);
INSERT INTO `triage_retrieval` VALUES ('579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽异物感', 'YYWG', null);
INSERT INTO `triage_retrieval` VALUES ('580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽痛', 'YT', null);
INSERT INTO `triage_retrieval` VALUES ('581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '咽喉痒', 'YHY', null);
INSERT INTO `triage_retrieval` VALUES ('582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睛异物感', 'YJYWG', null);
INSERT INTO `triage_retrieval` VALUES ('583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '干眼症', 'GYZ', null);
INSERT INTO `triage_retrieval` VALUES ('584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '角结膜干燥症', 'JJMGZZ', null);
INSERT INTO `triage_retrieval` VALUES ('585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '畏光', 'WG', null);
INSERT INTO `triage_retrieval` VALUES ('586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼周疼痛', 'YZTT', null);
INSERT INTO `triage_retrieval` VALUES ('587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睑水肿', 'YJSZ', null);
INSERT INTO `triage_retrieval` VALUES ('588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '上睑下垂', 'SJXC', null);
INSERT INTO `triage_retrieval` VALUES ('589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '结膜充血', 'JMCX', null);
INSERT INTO `triage_retrieval` VALUES ('590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球充血', 'YQCX', null);
INSERT INTO `triage_retrieval` VALUES ('591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巩膜黄', 'GMH', null);
INSERT INTO `triage_retrieval` VALUES ('592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '巩膜黄染', 'GMHR', null);
INSERT INTO `triage_retrieval` VALUES ('593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '突眼', 'TY', null);
INSERT INTO `triage_retrieval` VALUES ('594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼球震颤', 'YQZC', null);
INSERT INTO `triage_retrieval` VALUES ('595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼震', 'YZ', null);
INSERT INTO `triage_retrieval` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睛浮肿', 'YJFZ', null);
INSERT INTO `triage_retrieval` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼肿', 'YZ', null);
INSERT INTO `triage_retrieval` VALUES ('598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '食欲不振', 'SYBZ', null);
INSERT INTO `triage_retrieval` VALUES ('599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '勃起功能障碍', 'BQGNZA', null);
INSERT INTO `triage_retrieval` VALUES ('600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '腰部僵直感', 'YBJZG', null);
INSERT INTO `triage_retrieval` VALUES ('601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睡眠呼吸暂停', 'SMHXZT', null);
INSERT INTO `triage_retrieval` VALUES ('602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '低落情绪', 'DLQX', null);
INSERT INTO `triage_retrieval` VALUES ('603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '双眼溢泪', 'SYYL', null);
INSERT INTO `triage_retrieval` VALUES ('604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊痒', 'YNY', null);
INSERT INTO `triage_retrieval` VALUES ('605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '阴囊坠痛', 'YNZT', null);
INSERT INTO `triage_retrieval` VALUES ('606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '右下腹痛', 'YXFT', null);
INSERT INTO `triage_retrieval` VALUES ('607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '转移性右下腹疼痛', 'ZYXYXFTT', null);
INSERT INTO `triage_retrieval` VALUES ('608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经紊乱', 'YJWL', null);
INSERT INTO `triage_retrieval` VALUES ('609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '月经稀少', 'YJXS', null);
INSERT INTO `triage_retrieval` VALUES ('610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '一过性昏迷', 'YGXHM', null);
INSERT INTO `triage_retrieval` VALUES ('611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '共济失调', 'GJST', null);
INSERT INTO `triage_retrieval` VALUES ('612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '走路不稳', 'ZLBW', null);
INSERT INTO `triage_retrieval` VALUES ('613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '张嘴困难', 'ZZKN', null);
INSERT INTO `triage_retrieval` VALUES ('614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '眼睛肌无力', 'YJJWL', null);
INSERT INTO `triage_retrieval` VALUES ('615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '睁眼困难', 'ZYKN', null);
INSERT INTO `triage_retrieval` VALUES ('616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '颤抖', 'CD', null);
INSERT INTO `triage_retrieval` VALUES ('617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '发抖', 'FD', null);
INSERT INTO `triage_retrieval` VALUES ('618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢体冷', 'ZTL', null);
INSERT INTO `triage_retrieval` VALUES ('619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '肢无力', 'ZWL', null);

-- ----------------------------
-- Table structure for triage_retrieval_mapping
-- ----------------------------
DROP TABLE IF EXISTS `triage_retrieval_mapping`;
CREATE TABLE `triage_retrieval_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `retrieval_id` bigint(20) NOT NULL COMMENT '检索id',
  `item_id` bigint(20) NOT NULL COMMENT '症状id',
  `show_type` int(5) NOT NULL DEFAULT '1' COMMENT '显示类型(1：本体，2：同义词)',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=620 DEFAULT CHARSET=utf8 COMMENT='检索映射表';

-- ----------------------------
-- Records of triage_retrieval_mapping
-- ----------------------------
INSERT INTO `triage_retrieval_mapping` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '1', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', '2', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '3', '3', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '4', '4', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '5', '5', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '6', '6', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '7', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '8', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '9', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '10', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '11', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '12', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '13', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '14', '14', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '15', '15', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '16', '16', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '17', '17', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '18', '18', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '19', '19', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('20', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '20', '20', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '21', '21', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '22', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '23', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '24', '24', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '25', '25', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '26', '26', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '27', '27', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '28', '28', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '29', '29', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '30', '30', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '31', '31', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '32', '32', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '33', '33', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '34', '34', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '35', '35', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '36', '36', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '37', '37', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '38', '38', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '39', '39', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '40', '40', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '41', '41', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '42', '42', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '43', '43', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '44', '44', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '45', '45', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '46', '46', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '47', '47', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '48', '48', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '49', '49', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '50', '50', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '51', '51', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '52', '52', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '53', '53', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '54', '54', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '55', '55', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '56', '56', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '57', '57', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '58', '58', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '59', '59', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '60', '60', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '61', '61', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '62', '62', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '63', '63', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '64', '64', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '65', '65', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '66', '66', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '67', '67', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '68', '68', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '69', '69', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '70', '70', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '71', '71', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '72', '72', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '73', '73', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '74', '74', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '75', '75', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '76', '76', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '77', '77', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '78', '78', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '79', '79', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '80', '80', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '81', '81', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '82', '82', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '83', '83', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '84', '84', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '85', '85', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '86', '86', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '87', '87', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '88', '88', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '89', '89', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '90', '90', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '91', '91', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '92', '92', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '93', '93', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '94', '94', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '95', '95', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '96', '96', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '97', '97', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '98', '98', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '99', '99', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '100', '100', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '101', '101', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '102', '102', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '103', '103', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '104', '104', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '105', '105', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '106', '106', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '107', '107', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '108', '108', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '109', '109', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '110', '110', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '111', '111', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '112', '112', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '113', '113', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '114', '114', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '115', '115', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '116', '116', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '117', '117', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '118', '118', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '119', '119', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '120', '120', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '121', '121', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '122', '122', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '123', '123', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('124', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '124', '124', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('125', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '125', '125', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('126', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '126', '126', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('127', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '127', '127', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('128', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '128', '128', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('129', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '129', '129', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('130', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '130', '130', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('131', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '131', '131', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('132', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '132', '132', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('133', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '133', '133', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('134', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '134', '134', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('135', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '135', '135', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('136', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '136', '136', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('137', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '137', '137', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('138', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '138', '138', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('139', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '139', '139', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('140', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '140', '140', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('141', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '141', '141', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('142', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '142', '142', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('143', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '143', '143', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('144', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '144', '144', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('145', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '145', '145', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('146', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '146', '146', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('147', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '147', '147', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('148', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '148', '148', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('149', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '149', '149', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('150', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '150', '150', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('151', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '151', '151', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('152', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '152', '152', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('153', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '153', '153', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('154', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '154', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('155', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '155', '155', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('156', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '156', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('157', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '157', '157', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('158', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '158', '158', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('159', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '159', '159', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('160', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '160', '160', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('161', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '161', '161', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('162', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '162', '162', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('163', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '163', '163', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('164', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '164', '164', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('165', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '165', '165', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('166', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '166', '166', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('167', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '167', '167', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('168', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '168', '168', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('169', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '169', '169', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('170', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '170', '170', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('171', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '171', '171', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('172', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '172', '172', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('173', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '173', '173', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('174', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '174', '174', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('175', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '175', '175', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('176', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '176', '176', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('177', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '177', '177', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('178', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '178', '178', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('179', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '179', '179', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('180', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '180', '180', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('181', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '181', '181', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('182', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '182', '182', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('183', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '183', '183', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('184', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '184', '184', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('185', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '185', '185', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('186', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '186', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('187', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '187', '187', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('188', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '188', '188', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('189', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '189', '189', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('190', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '190', '190', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('191', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '191', '191', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('192', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '192', '192', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('193', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '193', '193', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('194', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '194', '194', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('195', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '195', '195', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('196', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '196', '196', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('197', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '197', '197', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('198', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '198', '198', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('199', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '199', '199', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('200', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '200', '200', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('201', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '201', '201', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('202', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '202', '202', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('203', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '203', '203', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('204', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '204', '204', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('205', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '205', '205', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('206', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '206', '206', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('207', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '207', '207', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('208', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '208', '208', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('209', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '209', '209', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('210', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '210', '210', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('211', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '211', '211', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('212', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '212', '212', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('213', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '213', '213', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('214', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '214', '214', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('215', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '215', '215', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('216', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '216', '216', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('217', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '217', '217', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('218', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '218', '218', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('219', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '219', '219', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('220', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '220', '220', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('221', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '221', '221', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('222', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '222', '222', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('223', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '223', '223', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('224', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '224', '224', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('225', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '225', '225', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('226', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '226', '226', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('227', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '227', '227', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('228', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '228', '228', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('229', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '229', '229', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('230', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '230', '230', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('231', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '231', '231', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('232', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '232', '232', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('233', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '233', '233', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('234', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '234', '234', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('235', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '235', '235', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('236', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '236', '236', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('237', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '237', '237', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('238', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '238', '238', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('239', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '239', '239', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('240', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '240', '240', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('241', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '241', '241', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('242', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '242', '242', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('243', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '243', '243', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('244', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '244', '244', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('245', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '245', '245', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('246', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '246', '246', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('247', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '247', '247', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('248', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '248', '248', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('249', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '249', '249', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('250', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '250', '250', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('251', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '251', '251', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('252', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '252', '252', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('253', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '253', '253', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('254', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '254', '254', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('255', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '255', '255', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('256', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '256', '256', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('257', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '257', '257', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('258', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '258', '258', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('259', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '259', '259', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('260', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '260', '260', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('261', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '261', '261', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('262', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '262', '262', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('263', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '263', '263', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('264', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '264', '264', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('265', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '265', '265', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('266', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '266', '266', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('267', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '267', '267', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('268', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '268', '268', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('269', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '269', '269', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('270', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '270', '270', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('271', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '271', '271', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('272', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '272', '272', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('273', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '273', '273', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('274', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '274', '274', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('275', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '275', '275', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('276', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '276', '276', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('277', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '277', '277', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('278', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '278', '278', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('279', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '279', '279', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('280', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '280', '280', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('281', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '281', '281', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('282', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '282', '282', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('283', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '283', '283', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('284', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '284', '284', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('285', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '285', '285', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('286', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '286', '286', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('287', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '287', '287', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('288', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '288', '288', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('289', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '289', '289', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('290', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '290', '290', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('291', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '291', '291', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('292', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '292', '292', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('293', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '293', '293', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('294', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '294', '294', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('295', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '295', '295', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('296', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '296', '296', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('297', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '297', '297', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('298', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '298', '298', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('299', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '299', '299', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('300', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '300', '300', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('301', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '301', '301', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('302', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '302', '302', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('303', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '303', '303', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('304', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '304', '304', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('305', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '305', '305', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('306', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '306', '306', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('307', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '307', '307', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('308', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '308', '308', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('309', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '309', '309', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('310', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '310', '310', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('311', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '311', '311', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('312', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '312', '312', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('313', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '313', '313', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('314', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '314', '314', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('315', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '315', '315', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('316', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '316', '316', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('317', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '317', '317', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('318', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '318', '318', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('319', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '319', '319', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('320', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '320', '320', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('321', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '321', '321', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('322', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '322', '322', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('323', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '323', '323', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('324', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '324', '324', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('325', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '325', '325', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('326', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '326', '326', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('327', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '327', '327', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('328', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '328', '328', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('329', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '329', '329', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('330', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '330', '330', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('331', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '331', '331', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('332', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '332', '332', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('333', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '333', '333', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('334', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '334', '334', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('335', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '335', '335', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('336', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '336', '336', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('337', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '337', '337', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('338', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '338', '338', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('339', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '339', '339', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('340', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '340', '340', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('341', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '341', '341', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('342', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '342', '342', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('343', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '343', '343', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('344', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '344', '344', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('345', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '345', '345', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('346', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '346', '346', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('347', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '347', '347', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('348', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '348', '348', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('349', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '349', '349', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('350', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '350', '350', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('351', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '351', '351', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('352', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '352', '352', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('353', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '353', '353', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('354', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '354', '354', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('355', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '355', '355', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('356', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '356', '356', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('357', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '357', '357', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('358', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '358', '358', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('359', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '359', '359', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('360', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '360', '360', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('361', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '361', '361', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('362', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '362', '362', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('363', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '363', '363', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('364', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '364', '364', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('365', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '365', '365', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('366', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '366', '366', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('367', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '367', '367', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('368', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '368', '368', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('369', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '369', '369', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('370', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '370', '370', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('371', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '371', '371', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('372', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '372', '372', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('373', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '373', '373', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('374', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '374', '374', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('375', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '375', '375', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('376', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '376', '376', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('377', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '377', '377', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('378', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '378', '378', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('379', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '379', '379', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('380', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '380', '380', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('381', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '381', '381', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('382', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '382', '382', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('383', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '383', '383', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('384', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '384', '384', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('385', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '385', '385', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('386', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '386', '386', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('387', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '387', '387', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('388', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '388', '388', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('389', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '389', '389', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('390', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '390', '390', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('391', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '391', '391', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('392', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '392', '392', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('393', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '393', '393', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('394', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '394', '394', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('395', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '395', '395', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('396', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '396', '396', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('397', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '397', '397', '1', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('398', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '398', '193', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('399', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '399', '274', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('400', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '400', '276', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('401', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '401', '84', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('402', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '402', '84', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('403', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '403', '85', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('404', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '404', '85', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('405', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '405', '86', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('406', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '406', '169', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('407', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '407', '344', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('408', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '408', '365', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('409', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '409', '365', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('410', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '410', '365', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('411', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '411', '365', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('412', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '412', '366', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('413', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '413', '143', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('414', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '414', '107', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('415', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '415', '108', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('416', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '416', '196', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('417', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '417', '125', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('418', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '418', '175', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('419', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '419', '175', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('420', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '420', '176', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('421', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '421', '176', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('422', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '422', '177', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('423', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '423', '367', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('424', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '424', '178', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('425', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '425', '345', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('426', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '426', '7', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('427', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '427', '369', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('428', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '428', '70', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('429', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '429', '71', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('430', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '430', '71', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('431', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '431', '72', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('432', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '432', '73', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('433', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '433', '75', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('434', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '434', '75', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('435', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '435', '75', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('436', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '436', '76', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('437', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '437', '77', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('438', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '438', '370', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('439', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '439', '350', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('440', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '440', '350', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('441', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '441', '351', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('442', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '442', '200', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('443', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '443', '201', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('444', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '444', '202', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('445', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '445', '8', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('446', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '446', '39', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('447', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '447', '184', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('448', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '448', '185', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('449', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '449', '185', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('450', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '450', '188', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('451', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '451', '188', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('452', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '452', '224', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('453', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '453', '225', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('454', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '454', '226', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('455', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '455', '226', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('456', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '456', '227', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('457', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '457', '228', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('458', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '458', '126', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('459', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '459', '126', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('460', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '460', '310', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('461', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '461', '311', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('462', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '462', '312', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('463', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '463', '292', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('464', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '464', '30', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('465', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '465', '30', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('466', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '466', '317', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('467', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '467', '79', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('468', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '468', '90', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('469', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '469', '9', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('470', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '470', '204', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('471', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '471', '11', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('472', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '472', '11', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('473', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '473', '11', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('474', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '474', '279', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('475', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '475', '12', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('476', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '476', '32', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('477', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '477', '13', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('478', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '478', '33', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('479', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '479', '121', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('480', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '480', '121', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('481', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '481', '121', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('482', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '482', '122', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('483', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '483', '123', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('484', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '484', '123', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('485', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '485', '123', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('486', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '486', '131', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('487', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '487', '14', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('488', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '488', '14', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('489', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '489', '14', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('490', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '490', '109', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('491', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '491', '94', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('492', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '492', '95', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('493', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '493', '15', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('494', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '494', '16', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('495', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '495', '16', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('496', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '496', '16', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('497', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '497', '96', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('498', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '498', '96', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('499', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '499', '100', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('500', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '500', '100', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('501', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '501', '34', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('502', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '502', '34', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('503', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '503', '245', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('504', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '504', '182', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('505', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '505', '183', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('506', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '506', '375', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('507', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '507', '379', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('508', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '508', '393', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('509', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '509', '357', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('510', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '510', '43', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('511', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '511', '210', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('512', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '512', '395', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('513', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '513', '395', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('514', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '514', '148', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('515', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '515', '148', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('516', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '516', '132', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('517', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '517', '132', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('518', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '518', '359', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('519', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '519', '160', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('520', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '520', '165', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('521', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '521', '166', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('522', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '522', '103', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('523', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '523', '103', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('524', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '524', '264', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('525', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '525', '265', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('526', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '526', '133', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('527', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '527', '17', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('528', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '528', '44', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('529', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '529', '18', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('530', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '530', '18', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('531', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '531', '18', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('532', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '532', '211', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('533', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '533', '48', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('534', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '534', '50', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('535', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '535', '51', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('536', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '536', '20', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('537', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '537', '320', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('538', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '538', '321', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('539', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '539', '52', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('540', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '540', '53', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('541', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '541', '322', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('542', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '542', '323', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('543', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '543', '21', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('544', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '544', '21', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('545', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '545', '21', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('546', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '546', '21', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('547', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '547', '23', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('548', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '548', '23', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('549', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '549', '22', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('550', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '550', '24', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('551', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '551', '24', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('552', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '552', '136', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('553', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '553', '309', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('554', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '554', '269', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('555', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '555', '270', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('556', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '556', '271', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('557', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '557', '272', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('558', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '558', '273', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('559', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '559', '104', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('560', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '560', '105', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('561', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '561', '191', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('562', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '562', '191', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('563', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '563', '101', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('564', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '564', '255', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('565', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '565', '155', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('566', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '566', '266', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('567', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '567', '267', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('568', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '568', '268', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('569', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '569', '268', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('570', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '570', '156', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('571', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '571', '156', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('572', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '572', '25', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('573', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '573', '25', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('574', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '574', '25', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('575', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '575', '259', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('576', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '576', '116', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('577', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '577', '137', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('578', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '578', '137', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('579', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '579', '138', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('580', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '580', '141', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('581', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '581', '142', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('582', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '582', '54', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('583', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '583', '55', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('584', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '584', '55', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('585', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '585', '56', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('586', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '586', '57', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('587', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '587', '58', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('588', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '588', '59', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('589', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '589', '60', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('590', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '590', '60', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('591', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '591', '61', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('592', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '592', '61', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('593', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '593', '62', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('594', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '594', '63', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('595', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '595', '63', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('596', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '596', '64', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('597', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '597', '64', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('598', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '598', '216', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('599', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '599', '293', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('600', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '600', '303', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('601', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '601', '158', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('602', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '602', '36', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('603', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '603', '68', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('604', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '604', '298', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('605', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '605', '301', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('606', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '606', '192', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('607', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '607', '192', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('608', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '608', '287', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('609', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '609', '288', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('610', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '610', '27', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('611', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '611', '28', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('612', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '612', '28', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('613', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '613', '102', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('614', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '614', '69', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('615', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '615', '69', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('616', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '616', '333', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('617', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '617', '333', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('618', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '618', '334', '2', null);
INSERT INTO `triage_retrieval_mapping` VALUES ('619', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '619', '339', '2', null);

-- ----------------------------
-- Table structure for triage_symptom
-- ----------------------------
DROP TABLE IF EXISTS `triage_symptom`;
CREATE TABLE `triage_symptom` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '名称',
  `sex_type` int(11) NOT NULL DEFAULT '3' COMMENT '性别(1：男，2：女，3：共用)',
  `age_begin` int(11) NOT NULL DEFAULT '0' COMMENT '最小年龄',
  `age_end` int(11) NOT NULL DEFAULT '200' COMMENT '最大年龄',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=398 DEFAULT CHARSET=utf8 COMMENT='症状表';

-- ----------------------------
-- Records of triage_symptom
-- ----------------------------
INSERT INTO `triage_symptom` VALUES ('1', '头皮干', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('2', '头皮麻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('3', '头皮损伤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('4', '头皮痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('5', '头皮痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('6', '脱发', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('7', '多梦', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('8', '反应迟钝', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('9', '昏迷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('10', '昏睡', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('11', '记忆力下降', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('12', '健忘', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('13', '角弓反张', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('14', '口齿不清', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('15', '梦魇', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('16', '梦游', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('17', '失眠', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('18', '失忆', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('19', '失语', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('20', '嗜睡', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('21', '瘫痪', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('22', '头晕', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('23', '头痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('24', '头胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('25', '眩晕', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('26', '意识障碍', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('27', '晕厥', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('28', '站立不稳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('29', '烦躁', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('30', '行为异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('31', '幻觉', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('32', '焦虑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('33', '惊恐发作', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('34', '木僵', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('35', '妄想', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('36', '抑郁', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('37', '易激动', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('38', '谵妄', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('39', '复视', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('40', '黑矇', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('41', '虹视', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('42', '幻视', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('43', '偏盲', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('44', '失明', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('45', '视觉异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('46', '视力模糊', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('47', '视力下降', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('48', '视疲劳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('49', '视物变形', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('50', '视物模糊', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('51', '视野缺失', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('52', '双眼凝视', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('53', '双眼上翻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('54', '眼部异物感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('55', '眼干', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('56', '眼睛怕光', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('57', '眼眶痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('58', '眼皮水肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('59', '眼皮下垂', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('60', '眼球发红', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('61', '眼球发黄', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('62', '眼球突出', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('63', '眼球震动', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('64', '眼球肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('65', '眼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('66', '眼痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('67', '眼胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('68', '溢泪', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('69', '睁眼无力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('70', '耳道流液', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('71', '耳闷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('72', '耳鸣', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('73', '耳痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('74', '耳痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('75', '耳异物感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('76', '耳肿块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('77', '耳肿胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('78', '耳聋', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('79', '幻听', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('80', '听觉过敏', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('81', '听力下降', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('82', '重听', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('83', '鼻出血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('84', '鼻干', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('85', '鼻塞', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('86', '鼻痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('87', '鼻痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('88', '流涕', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('89', '喷嚏', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('90', '幻嗅', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('91', '嗅觉减退', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('92', '嗅觉丧失', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('93', '嗅觉异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('94', '口唇干裂', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('95', '口角歪斜', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('96', '面部抽搐', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('97', '面部浮肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('98', '面部疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('99', '面部肿痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('100', '面色潮红', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('101', '下颌痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('102', '张口困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('103', '舌麻木', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('104', '味觉减退', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('105', '味觉消失', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('106', '味觉异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('107', '唇麻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('108', '唇疱疹', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('109', '口臭', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('110', '口干', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('111', '口渴', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('112', '口苦', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('113', '口吐白沫', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('114', '流涎', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('115', '牙齿松动', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('116', '牙缺损', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('117', '牙痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('118', '牙龈出血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('119', '牙龈疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('120', '牙龈肿痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('121', '颈部包块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('122', '颈部不适', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('123', '颈部疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('124', '颈部异物感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('125', '打鼾', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('126', '咯血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('127', '哽噎感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('128', '喉咙痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('129', '喉鸣', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('130', '咳嗽', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('131', '咳痰', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('132', '呛咳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('133', '声音嘶哑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('134', '失声', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('135', '吞咽困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('136', '吞咽痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('137', '咽部紧缩感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('138', '咽部异物感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('139', '咽部灼热', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('140', '咽干', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('141', '咽喉痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('142', '咽痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('143', '喘鸣', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('144', '喘息', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('145', '呼吸不畅', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('146', '呼吸困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('147', '呼吸骤停', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('148', '气促', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('149', '气短', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('150', '烧心', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('151', '心动过缓', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('152', '心动过速', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('153', '心慌', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('154', '心悸', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('155', '心脏骤停', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('156', '胸闷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('157', '胸痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('158', '夜间呼吸暂停', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('159', '窒息感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('160', '乳房包块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('161', '乳房疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('162', '乳房肿胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('163', '乳头凹陷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('164', '乳头皲裂', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('165', '乳头湿疹', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('166', '乳头痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('167', '乳头溢乳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('168', '乳头溢液', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('169', '便秘', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('170', '便血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('171', '大便变细', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('172', '大便不畅', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('173', '大便困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('174', '大便排便不尽感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('175', '大便溏', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('176', '大便习惯改变', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('177', '大便硬结', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('178', '大小便失禁', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('179', '腹泻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('180', '黑便', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('181', '里急后重', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('182', '排便次数减少', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('183', '排便次数增多', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('184', '腹部包块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('185', '腹股沟包块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('186', '腹痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('187', '腹胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('188', '肝区隐痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('189', '剑突下痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('190', '脐周痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('191', '下腹坠痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('192', '右下腹部疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('193', '嗳气', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('194', '饱胀感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('195', '晨起恶心', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('196', '打嗝', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('197', '多食', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('198', '多饮', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('199', '恶心', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('200', '反食', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('201', '反酸', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('202', '反胃', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('203', '腹鸣', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('204', '饥饿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('205', '进食梗咽感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('206', '呕吐', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('207', '呕血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('208', '排气排便减少', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('209', '排气增多', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('210', '偏食', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('211', '食欲下降', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('212', '停止排气', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('213', '停止排气排便', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('214', '胃纳不佳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('215', '胃胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('216', '厌食', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('217', '厌油', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('218', '易饥', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('219', '早饱', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('220', '胀气', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('221', '肛门出血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('222', '肛门瘙痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('223', '肛门疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('224', '肛门痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('225', '肛门痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('226', '肛门肿胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('227', '肛门坠痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('228', '肛旁肿块', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('229', '肛周潮湿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('230', '肛周瘙痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('231', '男性尿道口瘙痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('232', '尿不尽', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('233', '尿臭', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('234', '尿道出血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('235', '尿道分泌物增多', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('236', '尿道溢脓', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('237', '尿多', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('238', '尿红', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('239', '尿黄', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('240', '尿混', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('241', '尿急', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('242', '尿频', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('243', '尿少', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('244', '尿失禁', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('245', '尿痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('246', '尿线细', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('247', '尿潴留', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('248', '女性尿道口瘙痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('249', '排尿不畅', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('250', '排尿不适', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('251', '排尿困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('252', '排尿异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('253', '泡沫尿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('254', '少尿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('255', '小便刺痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('256', '小便困难', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('257', '小便失禁', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('258', '小便无力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('259', '血尿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('260', '夜尿频', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('261', '血精', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('262', '遗精', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('263', '早泄', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('264', '射精痛', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('265', '射精障碍', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('266', '性交痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('267', '性冷淡', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('268', '性欲增强', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('269', '外阴包块', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('270', '外阴皮疹', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('271', '外阴水肿', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('272', '外阴痛', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('273', '外阴痒', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('274', '白带臭', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('275', '白带带血', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('276', '白带褐色', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('277', '白带异常', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('278', '白带增多', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('279', '见红', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('280', '经期缩短', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('281', '经期延长', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('282', '停经', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('283', '阴道出血', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('284', '阴道干', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('285', '阴道流液', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('286', '阴道痛', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('287', '月经不调', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('288', '月经减少', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('289', '月经异常', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('290', '月经增多', '2', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('291', '龟头红肿', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('292', '龟头皮疹', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('293', '阳痿', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('294', '异常勃起', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('295', '阴茎肿胀', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('296', '睾丸肿大', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('297', '阴囊潮湿', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('298', '阴囊瘙痒', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('299', '阴囊痛', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('300', '阴囊肿', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('301', '阴囊坠胀感', '1', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('302', '背痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('303', '腰背僵硬', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('304', '腰背痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('305', '腰酸', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('306', '腰痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('307', '腰腿痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('308', '腹股沟痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('309', '臀痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('310', '关节僵硬', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('311', '关节扭伤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('312', '关节疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('313', '关节肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('314', '跛行', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('315', '抽筋', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('316', '大腿外伤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('317', '行走障碍', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('318', '肌无力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('319', '上髁骨折', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('320', '手麻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('321', '双手抖动', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('322', '四肢抽搐', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('323', '四肢抽动', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('324', '四肢乏力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('325', '四肢水肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('326', '四肢酸痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('327', '膝关节痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('328', '下肢水肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('329', '下肢无力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('330', '下肢震颤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('331', '小腿酸', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('332', '小腿痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('333', '肢体发抖', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('334', '肢体发冷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('335', '肢体活动障碍', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('336', '肢体麻木', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('337', '肢体瘫痪', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('338', '肢体疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('339', '肢体无力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('340', '肢体肿胀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('341', '足溃疡', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('342', '左肩痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('343', '濒死感', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('344', '潮热', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('345', '盗汗', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('346', '多汗', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('347', '发冷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('348', '发热', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('349', '发烫', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('350', '发育不良', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('351', '乏力', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('352', '肥胖', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('353', '寒颤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('354', '寒战', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('355', '怕冷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('356', '怕热', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('357', '疲乏', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('358', '疲劳', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('359', '全身酸痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('360', '体温升高', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('361', '体重下降', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('362', '体重增加', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('363', '畏寒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('364', '消瘦', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('365', '出汗明显偏少', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('366', '出冷汗', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('367', '大汗', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('368', '擦伤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('369', '鹅口疮', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('370', '发绀', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('371', '风团', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('372', '黄疸', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('373', '皲裂', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('374', '裂伤', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('375', '皮肤苍白', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('376', '皮肤出血', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('377', '皮肤粗糙', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('378', '皮肤发红', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('379', '皮肤发麻', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('380', '皮肤感觉异常', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('381', '皮肤干燥', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('382', '皮肤过敏', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('383', '皮肤红肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('384', '皮肤黄染', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('385', '皮肤结节', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('386', '皮肤皲裂', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('387', '皮肤瘙痒', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('388', '皮肤湿冷', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('389', '皮肤水肿', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('390', '皮肤疼痛', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('391', '皮肤脱屑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('392', '皮损', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('393', '皮下瘀斑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('394', '皮疹', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('395', '胼胝', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('396', '脱屑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');
INSERT INTO `triage_symptom` VALUES ('397', '瘀斑', '3', '0', '200', null, 'N', '0', '0', '1970-01-01 12:00:00', '1970-01-01 12:00:00');

-- ----------------------------
-- Table structure for triage_symptom_usual
-- ----------------------------
DROP TABLE IF EXISTS `triage_symptom_usual`;
CREATE TABLE `triage_symptom_usual` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `symptom_id` bigint(20) NOT NULL COMMENT '症状id',
  `order_no` int(11) NOT NULL DEFAULT '1' COMMENT '排序号',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='症状常用表';

-- ----------------------------
-- Records of triage_symptom_usual
-- ----------------------------
INSERT INTO `triage_symptom_usual` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '348', '1', null);
INSERT INTO `triage_symptom_usual` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '130', '2', null);
INSERT INTO `triage_symptom_usual` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '179', '3', null);
INSERT INTO `triage_symptom_usual` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '23', '4', null);
INSERT INTO `triage_symptom_usual` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '186', '5', null);
INSERT INTO `triage_symptom_usual` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '157', '6', null);
INSERT INTO `triage_symptom_usual` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '156', '7', null);
INSERT INTO `triage_symptom_usual` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '141', '8', null);
INSERT INTO `triage_symptom_usual` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '154', '9', null);
INSERT INTO `triage_symptom_usual` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '85', '10', null);
INSERT INTO `triage_symptom_usual` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '206', '11', null);
INSERT INTO `triage_symptom_usual` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '22', '12', null);
